summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorEric Andersen <andersen@codepoet.org>2004-01-22 01:44:25 +0000
committerEric Andersen <andersen@codepoet.org>2004-01-22 01:44:25 +0000
commitea06b118f25f381cdc44cd80be5278dd9d52708a (patch)
tree3c965b18833fff02b5e6cf609debb8f5a18dd5b7 /debian
parentc2d1da448aaf0c69544093943bd543def2ad4b79 (diff)
Some minor debian junk I had sitting in my tree
Diffstat (limited to 'debian')
-rw-r--r--debian/.cvsignore17
-rw-r--r--debian/uclibc-dev.postinst22
-rw-r--r--debian/uclibc-dev.prerm4
-rw-r--r--debian/uclibc.postinst3
-rw-r--r--debian/uclibc.prerm5
-rw-r--r--debian/uclibc.shlibs20
6 files changed, 49 insertions, 22 deletions
diff --git a/debian/.cvsignore b/debian/.cvsignore
index deaec8280..56d003d7f 100644
--- a/debian/.cvsignore
+++ b/debian/.cvsignore
@@ -1,13 +1,8 @@
-uclibc-toolchain.substvars
-uclibc-toolchain.prerm.debhelper
-uclibc-toolchain.postinst.debhelper
-uclibc-toolchain
-uclibc-gcc
tmp
-prerm.debhelper
-postinst.debhelper
-libuclibc0.substvars
-libuclibc0.prerm.debhelper
-libuclibc0.postinst.debhelper
-libuclibc0
files
+uclibc
+uclibc-dev
+uclibc-dev.postinst.debhelper
+uclibc-dev.prerm.debhelper
+uclibc.postinst.debhelper
+uclibc.prerm.debhelper
diff --git a/debian/uclibc-dev.postinst b/debian/uclibc-dev.postinst
new file mode 100644
index 000000000..dd559a32a
--- /dev/null
+++ b/debian/uclibc-dev.postinst
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+ldconfig
+
+if [ "$1" = "configure" ]; then
+ if [ -f /usr/lib/libintl.so.1 ] ; then
+ rm -f /usr/lib/libc.so
+ cat > /usr/lib/libc.so << EOF
+/* GNU ld script
+ Use the shared library, but some functions are only in
+ the static library, so try that secondarily. */
+OUTPUT_FORMAT(elf32-i386)
+GROUP ( /lib/libc.so.0 /usr/lib/libintl.so.1 )
+EOF
+ chown root.root /usr/lib/libc.so
+ chmod 0644 /usr/lib/libc.so
+ fi
+fi
+
+#DEBHELPER#
diff --git a/debian/uclibc-dev.prerm b/debian/uclibc-dev.prerm
new file mode 100644
index 000000000..6060c4fb6
--- /dev/null
+++ b/debian/uclibc-dev.prerm
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
diff --git a/debian/uclibc.postinst b/debian/uclibc.postinst
index aac68193e..85f538506 100644
--- a/debian/uclibc.postinst
+++ b/debian/uclibc.postinst
@@ -1,8 +1,9 @@
#!/bin/sh
+set -e
+
if [ "$1" = "configure" ]; then
/sbin/ldconfig
fi
#DEBHELPER#
-
diff --git a/debian/uclibc.prerm b/debian/uclibc.prerm
new file mode 100644
index 000000000..c1fc8b91f
--- /dev/null
+++ b/debian/uclibc.prerm
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
diff --git a/debian/uclibc.shlibs b/debian/uclibc.shlibs
index 0b7bd676a..4dc2e46c5 100644
--- a/debian/uclibc.shlibs
+++ b/debian/uclibc.shlibs
@@ -1,10 +1,10 @@
-libc 0 uclibc (>= 0.9.23-1)
-libm 0 uclibc (>= 0.9.23-1)
-ld-uClibc 0 uclibc (>= 0.9.23-1)
-libdl 0 uclibc (>= 0.9.23-1)
-libcrypt 0 uclibc (>= 0.9.23-1)
-libutil 0 uclibc (>= 0.9.23-1)
-libresolv 0 uclibc (>= 0.9.23-1)
-libnsl 0 uclibc (>= 0.9.23-1)
-libthread_db 1 libthread_db (>= 0.9.23-1)
-libpthread 0 libpthread (>= 0.9.23-1)
+libc 0 uclibc (>= 0.9.26-1)
+libm 0 uclibc (>= 0.9.26-1)
+ld-uClibc 0 uclibc (>= 0.9.26-1)
+libdl 0 uclibc (>= 0.9.26-1)
+libcrypt 0 uclibc (>= 0.9.26-1)
+libutil 0 uclibc (>= 0.9.26-1)
+libresolv 0 uclibc (>= 0.9.26-1)
+libnsl 0 uclibc (>= 0.9.26-1)
+libthread_db 1 uclibc (>= 0.9.26-1)
+libpthread 0 uclibc (>= 0.9.26-1)